Subject: Re: netatalk: File/Directory not found

From: [email-masked] (Steve Kiene)
Date: Fri, 19 Jan 1996 15:08:30 -0600

>Hello!
>
>I'm very happy to say that we managed to install netatalk 1.3.3
>on out Linux(1.3.3x)-Box!
>
>FileSharing works fine, with this exception:
>
>BBEdit lite(3.5.1) sometimes shows Error-Dialogs 
>"Macintosh System level Error - File not found" while saving a file!
>Permissions are ok.
>I also tried BBEdits file search and got many "Directoy not found" Errors.

This is probably because netatalk doesn't support "hard" directory ids (i.e. you aren't guaranteed to get back the same dirid between sessions for the same directory). This "feature" has kept me from using netatalk. Try to copy a bunch of folders from a Mac to a netatalk volume. It won't work. Bummer.

If I knew more about Unix, I'd go fix it. If anyone knows enough about the Unix side but not enough about the Mac side, let me know and I'll try to help. I know quite a bit about the Mac File System (I wrote Stacker for Macintosh and the disk cache portion of Speed Doubler).

Steve Kiene
MindVision Software